SAGA_CMD(1)

NAME
saga_cmd - command-line interface to the System for Automated Geoscientific Analyses

SYNOPSIS
[SAGA_MLB=dirname] saga_cmd LIBRARY [MODULE] [-silent] <module specific options...>

saga_cmd [-h, --help]

DESCRIPTION
Command line interface to the System for Automated Geoscientific Analyses (SAGA). When run without arguments, the module libraries in the current module library are listed. This can be specified by setting the environment variable SAGA_MLB. If this is not specified, the current working directory is used.

SAGA GIS (System for Automated Geoscientific Analysis) is a free and open source geographic information system used for editing and analysing spatial data. It includes a large number of modules for the analysis of vector, table, grid and image data.

OPTIONS

[SAGA_MLB=dirname]
    Module libraries are expected to be located in the directory that is specified by the environment variable 'SAGA_MLB'. If this is not found the current working directory will be searched for instead.

    To use the default modules, the environment variable can be set to /usr/lib/saga

LIBRARY [MODULE]
    Specify the library (ie ta_morphometry) and the module (number or name). If no module is specified the different modules of a library are listed.

-h, --help
    Display help and exit

EXAMPLE
export SAGA_MLB=/usr/lib/saga

saga_cmd ta_morphometry "Local Morphometry" -ELEVATION dem.sgrd -SLOPE slope.sgrd -ASPECT aspect.sgrd -METHOD 1

Multiple input files can be specified by seperating them by a semicolon (;).

saga_cmd libgrid_tools Merging -GRIDS test1.sgrd\;test2.sgrd -GRID_TARGET merged.sgrd

BUGS
On the website of http://www.saga-gis.org, a list of known bugs can be found and new bug reports can be submitted.

AUTHORS
SAGA was written by Olaf Conrad with help from a large number of contributers. This manual page was written by Johan Van de Wauw. Both are released under the GNU General Public License v2.

More info http://www.saga-gis.org